// WaveTypes.h  Typedefs and consts for working with wave files
// Copyright 2006 Chad Berchek

/* Revisions:

	- 1.01 changed sampleT to double

	- 1.0 first version
	
*/

#ifndef WaveUtil_h
#define WaveUtil_h

typedef double frequencyT;
typedef double timeT;
typedef double percentVolumeT;
typedef long sampleCountT;
typedef long cycleCountT;
typedef unsigned long samplingRateT;
typedef double sampleT;
typedef double amplitudeT;
typedef double phaseT;

const short MAX_SAMPLE_VALUE = 32767;  // for 16-bit samples

#endif
